Search
curl --request GET \
--url https://api.consensus.app/v1/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.consensus.app/v1/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.consensus.app/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.consensus.app/v1/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.consensus.app/v1/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.consensus.app/v1/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.consensus.app/v1/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"paper_id": "<string>",
"full_text_available": true,
"abstract": "<string>",
"authors": [
"<string>"
],
"doi": "<string>",
"journal_name": "<string>",
"pages": "<string>",
"publish_year": 123,
"title": "<string>",
"url": "<string>",
"volume": "<string>",
"citation_count": 123,
"semantic_score": 123,
"study_type": "<string>",
"takeaway": "<string>",
"publisher_name": "<string>",
"full_text_chunks": [
"<string>"
],
"sjr_best_quartile": 123,
"sample_size": 123,
"study_count": 123,
"population_type": "<string>",
"is_preprint": true,
"countries_of_study": [
"<string>"
],
"study_duration_days": 123,
"influential_citation_count": 123,
"institutions": [
"<string>"
],
"publish_date": "<string>",
"institutional_access_url": "<string>"
}
],
"page": 123,
"is_end": true,
"page_size": 20,
"next_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Search
Search
The supported endpoint for searching academic papers. Use this instead of the legacy /v1/quick_search endpoint, which is deprecated and will be removed on 2027-02-07.
GET
/
v1
/
search
Search
curl --request GET \
--url https://api.consensus.app/v1/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.consensus.app/v1/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.consensus.app/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.consensus.app/v1/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.consensus.app/v1/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.consensus.app/v1/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.consensus.app/v1/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"results": [
{
"paper_id": "<string>",
"full_text_available": true,
"abstract": "<string>",
"authors": [
"<string>"
],
"doi": "<string>",
"journal_name": "<string>",
"pages": "<string>",
"publish_year": 123,
"title": "<string>",
"url": "<string>",
"volume": "<string>",
"citation_count": 123,
"semantic_score": 123,
"study_type": "<string>",
"takeaway": "<string>",
"publisher_name": "<string>",
"full_text_chunks": [
"<string>"
],
"sjr_best_quartile": 123,
"sample_size": 123,
"study_count": 123,
"population_type": "<string>",
"is_preprint": true,
"countries_of_study": [
"<string>"
],
"study_duration_days": 123,
"influential_citation_count": 123,
"institutions": [
"<string>"
],
"publish_date": "<string>",
"institutional_access_url": "<string>"
}
],
"page": 123,
"is_end": true,
"page_size": 20,
"next_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Only include these study types.
All possible study types strings saved to search index documents.
Available options:
bench experiment, case report, case study, case-control study, cohort study, commentary or perspective, cross-sectional study, field study, historical or archival analysis, interview study, literature review, longitudinal / panel data study, meta-analysis, mixed methods study, non-randomized experimental study, non-rct in vitro, other, rct, systematic review, theoretical, modeling, or simulation study, non-rct experimental, non-rct observational study, animal Response
Successful Response